Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class ExecuteResponse

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.ExecuteResponse

    public class ExecuteResponse

extends Object

ExecuteResponseType.java Created on 09.03.2006. 23:16:26h WPS Execute operation response. By default, this XML document is delivered to the client in response to an Execute request. If "status" is "false" in the Execute operation request, this document is normally returned when process execution has been completed. If "status" in the Execute request is "true", this response shall be returned as soon as the Execute request has been accepted for processing. In this case, the same XML document is also made available as a web-accessible resource from the URL identified in the statusLocation, and the WPS server shall repopulate it once the process has completed. It may repopulate it on an ongoing basis while the process is executing. However, the response to an Execute request will not include this element in the special case where the output is a single complex value result and the Execute request indicates that "store" is "false". Instead, the server shall return the complex result (e.g., GIF image or GML) directly, without encoding it in the ExecuteResponse. If processing fails in this special case, the normal ExecuteResponse shall be sent, with the error condition indicated. This option is provided to simplify the programming required for simple clients and for service chaining.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Nested Class Summary
`static class` | `ExecuteResponse.ProcessOutputs` `ProcessOutputs` process the outputs

Field Summary
`protected ExecuteDataInputs` | `dataInputs` Inputs that were provided as part of the execute request.
`(package private) boolean` | `directResponse` Convenience variable to simplify execute response handling.
`protected Code` | `identifier` Identifier of the Process requested to be executed.
`protected OutputDefinitions` | `outputDefinitions` Complete list of Output data types that were requested as part of the Execute request.
`protected ExecuteResponse.ProcessOutputs` | `processOutputs` List of values of the Process output parameters.
`protected Status` | `status` Execution status of this process.
`protected String` | `statusLocation` The URL referencing the location from which the ExecuteResponse can be retrieved.
`protected String` | `version` Version of the WPS interface specification implemented by the server.

Constructor Summary
`ExecuteResponse()` Just an empty constructor.
`ExecuteResponse(ExecuteDataInputs dataInputs, Code identifier, OutputDefinitions outputDefinitions, ExecuteResponse.ProcessOutputs processOutputs, Status status, String statusLocation, String version, boolean directResponse)`

Method Summary
`ExecuteDataInputs` | `getDataInputs()`
`Code` | `getIdentifier()`
`OutputDefinitions` | `getOutputDefinitions()`
`ExecuteResponse.ProcessOutputs` | `getProcessOutputs()`
`Status` | `getStatus()`
`String` | `getStatusLocation()`
`String` | `getVersion()`
`boolean` | `isDirectResponse()`
`void` | `setDataInputs(ExecuteDataInputs dataInputs)`
`void` | `setDirectResponse(boolean directResponse)`
`void` | `setIdentifier(Code identifier)`
`void` | `setOutputDefinitions(OutputDefinitions outputDefinitions)`
`void` | `setProcessOutputs(ExecuteResponse.ProcessOutputs processOutputs)`
`void` | `setStatus(Status status)`
`void` | `setStatusLocation(String statusLocation)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    protected Code identifier

  Identifier of the Process requested to be executed. This Process identifier shall be as listed in the ProcessOfferings section of the WPS Capabilities document.

### status

    protected Status status

  Execution status of this process.

### dataInputs

    protected ExecuteDataInputs dataInputs

  Inputs that were provided as part of the execute request. This element can be omitted as an implementation decision by the WPS server. However, it is often advisable to have the response include this information, so the client can confirm that the request was received correctly, and to provide a source of metadata if the client wishes to store the result for future reference.

### outputDefinitions

    protected OutputDefinitions outputDefinitions

  Complete list of Output data types that were requested as part of the Execute request. This element can be omitted as an implementation decision by the WPS server. However, it is often advisable to have the response include this information, so the client can confirm that the request was received correctly, and to provide a source of metadata if the client wishes to store the result for future reference.

### processOutputs

    protected ExecuteResponse.ProcessOutputs processOutputs

  List of values of the Process output parameters. Normally there would be at least one output when the process has completed successfully. If the process has not finished executing, the implementer can choose to include whatever final results are ready at the time the Execute response is provided. If the reference locations of outputs are known in advance, these URLs may be provided before they are populated.

### statusLocation

    protected String statusLocation

  The URL referencing the location from which the ExecuteResponse can be retrieved. If "status" is "true" in the Execute request, the ExecuteResponse should also be found here as soon as the process returns the initial response to the client. It should persist at this location as long as the outputs are accessible from the server. The outputs may be stored for as long as the implementer of the server decides. If the process takes a long time, this URL can be repopulated on an ongoing basis in order to keep the client updated on progress. Before the process has succeeded, the ExecuteResponse contains information about the status of the process, including whether or not processing has started, and the percentage completed. It may also optionally contain the inputs and any ProcessStartedType interim results. When the process has succeeded, the ExecuteResponse found at this URL shall contain the output values or references to them.

### version

    protected String version

  Version of the WPS interface specification implemented by the server.

### directResponse

    boolean directResponse

  Convenience variable to simplify execute response handling.

Constructor Detail

### ExecuteResponse

    public ExecuteResponse(ExecuteDataInputs dataInputs,
                           Code identifier,
                           OutputDefinitions outputDefinitions,
                           ExecuteResponse.ProcessOutputs processOutputs,
                           Status status,
                           String statusLocation,
                           String version,
                           boolean directResponse)

Parameters:
  `dataInputs` -
  `identifier` -
  `outputDefinitions` -
  `processOutputs` -
  `status` -
  `statusLocation` -
  `version` -
  `directResponse` -

### ExecuteResponse

    public ExecuteResponse()

  Just an empty constructor.

Method Detail

### getIdentifier

    public Code getIdentifier()

  Returns:
    Returns the identifier.

### getStatus

    public Status getStatus()

  Returns:
    Returns the status.

### getDataInputs

    public ExecuteDataInputs getDataInputs()

  Returns:
    Returns the dataInputs.

### getOutputDefinitions

    public OutputDefinitions getOutputDefinitions()

  Returns:
    Returns the outputDefinitions.

### getProcessOutputs

    public ExecuteResponse.ProcessOutputs getProcessOutputs()

  Returns:
    Returns the processOutputs.

### getStatusLocation

    public String getStatusLocation()

  Returns:
    Returns the statusLocation.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### isDirectResponse

    public boolean isDirectResponse()

  Returns:
    Returns the directResponse.

### setDataInputs

    public void setDataInputs(ExecuteDataInputs dataInputs)

  Parameters:
    `dataInputs` -

### setDirectResponse

    public void setDirectResponse(boolean directResponse)

  Parameters:
    `directResponse` -

### setIdentifier

    public void setIdentifier(Code identifier)

  Parameters:
    `identifier` - to set

### setOutputDefinitions

    public void setOutputDefinitions(OutputDefinitions outputDefinitions)

  Parameters:
    `outputDefinitions` - to set

### setProcessOutputs

    public void setProcessOutputs(ExecuteResponse.ProcessOutputs processOutputs)

  Parameters:
    `processOutputs` - to set

### setStatus

    public void setStatus(Status status)

  Parameters:
    `status` - to set

### setStatusLocation

    public void setStatusLocation(String statusLocation)

  Parameters:
    `statusLocation` - to set

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org